DROP TABLE ext_valutakurser CASCADE CONSTRAINTS;

CREATE TABLE ext_valutakurser
(
    dato     	   DATE,
	land           VARCHAR2 (255 BYTE),
    enhet          NUMBER,
    kode           VARCHAR2 (255 BYTE),
    infokurs       VARCHAR2 (255 BYTE),
    buy            NUMBER,
    sell           NUMBER,
    change         NUMBER,
    buy_sedler     NUMBER,
    sell_sedler    NUMBER,
    midtkurs       NUMBER
)
ORGANIZATION EXTERNAL
    (TYPE oracle_loader
     DEFAULT DIRECTORY valutakurser
     ACCESS PARAMETERS (
         RECORDS DELIMITED BY NEWLINE
         SKIP 1
         FIELDS TERMINATED BY ','
         (dato CHAR(10) date_format DATE mask "DD.MM.YYYY",
		  land CHAR(255),
          enhet CHAR(255),
          kode CHAR(255),
          infokurs CHAR(255),
          buy CHAR(255),
          sell CHAR(255),
          change CHAR(255),
          buy_sedler CHAR(255),
          sell_sedler CHAR(255),
          midtkurs CHAR(255))
     )
     LOCATION (valutakurser:'kurser.txt'))
    REJECT LIMIT UNLIMITED;
