//load('https://raw.githubusercontent.com/oracle/Oracle_DB_Tools/master/sqlcl/lib/helpers.js');
load('./helpers.js');

/* Clean out the table just to prove it's not a baked demo */
sqlcl.setStmt("truncate table FILE_INBOUND");
sqlcl.run();

/* File name */
var files= helpers.exec('find ../files -maxdepth 1 -type f ').stdout.split('\n');

/* bind map for reuse */
var binds = helpers.getBindMap();

for(f in files ) {
  //ctx.write("Loading : " + files[f] + "\n");
  /* load the blob */
  blob = helpers.getBlobFromFile(files[f]);

  /* assign the binds */
  binds.put("path",files[f]);
  binds.put("b",blob);

 /* Just do it */
  var ret = util.execute("insert into FILE_INBOUND(FILE_NAME,SYSTEM,FILE_CONTENTS,TIMESTAMP) values(:path , 'VALUTAKURS', :b, sysdate)",binds);
}

/* commit */
sqlcl.setStmt("commit");
sqlcl.run();

/* print the results to see if it worked */
sqlcl.setStmt("select ID,FILE_NAME,timestamp,dbms_lob.getlength(FILE_CONTENTS) from FILE_INBOUND order by TIMESTAMP;");
sqlcl.run();
